<?php

namespace Teknisa\SM\Controller;

use Teknisa\SM\Controller\SMCrud;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DataSource\DataSet;
use Teknisa\Libs\Util\NewCode;


class Sm00024000ParametrizacaoResultadoContratoOperacoesController extends SMCrud {
    
    protected $dataSourceName = "fct_tpoperdespdiv";
    protected $newCode;
    
    public function __construct($crudService, $environment, NewCode $newCode) {
        parent::__construct($crudService, $environment);
        $this->newCode = $newCode;
    }
   

   /**
    *  Função que salva um registro de parametros de Mao de Obra pela rota completa
    */

    public function save(Request $request, Response $response){
        try {

            $nrorg = $this->environment->getNrOrg();
            
            foreach ($request->getDataSet()->getRows() as &$row) {
                
              $row["NRTPOPERDESPDIV"] = $this->newCode->getCodeByTableName("FCT_TPOPERDESPDIV", $nrorg, 1, 10, true);
            }
            unset($row);
            
            parent::save($request, $response);
                
            
        }
        catch (\Exception $e) {
            $response->setError(new Response\Error($e->getMessage(), $e->getCode()));
        }
    }
    
}

?>

