/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_RTTR                                                     */
/* Tabela : ROTATRANS                                                         */
/*                                                                            */
/* Criao:                                                                   */
/* 04/05/2004 - David Moreno Ferreira                                         */
/*                                                                            */
/******************************************************************************/

IF EXISTS(SELECT * FROM sysobjects O, sysusers U
          WHERE
            o.name = 'DTULTATU_RTTR'  and
            type = 'TR'               and
            u.uid = o.uid             and
            u.name = USER)
   DROP TRIGGER DTULTATU_RTTR
GO

CREATE TRIGGER DTULTATU_RTTR
ON ROTATRANS
FOR INSERT, UPDATE, DELETE
AS
BEGIN
   IF (0 = (SELECT COUNT(*) FROM INSERTED)) BEGIN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
			      (SELECT 'ROTATRANS', null, 'CDROTATRANS=' + CDROTATRANS + ';', GETDATE() FROM DELETED)
   END
   ELSE BEGIN
      UPDATE ROTATRANS
      SET DTULTATURTTR = GETDATE()
      FROM INSERTED
      WHERE (ISNULL(ROTATRANS.CDROTATRANS,0) = ISNULL(INSERTED.CDROTATRANS,0)) AND
            (ISNULL(ROTATRANS.NMROTATRANS,0) = ISNULL(INSERTED.NMROTATRANS,0));
   END;
END;
GO

